Subject: RE: authmgr?

From: "Nixon, Anthony" <[email-masked]>
Date: Tue, 16 May 2000 08:16:45 -0400

[To be removed from this list send the message "unsubscribe fwtk-users" in the
BODY of a mail message to [email-masked].]

I have complied with Rick Murphy's email and made the suggested changes to
/etc/inetd.conf and /etc/services. I now know that inetd is the problem and
not authsrv. If I run authsrv in daemon mode (/usr/local/etc/authsrv -daemon
7777 &), then all works fine. If I run it under inetd, with the services
file reading authsrv 7777/tcp and

authsrv  stream  tcp  wait  root /usr/local/etc/authsrv  authsrv in my
inetd.conf file, it does not work. Doing netstat -a shows it listening
(authsrv), but it hangs on use. Such as when I telnet. I have a welcome
message displayed (tn-welcome.txt). The message displays, but hangs when
authentication is called for. I had hoped that I would not have to run it as
a daemon, but that seems the only way to make it work. Much thanks to Rick
Murphy and Ted Keller for their excellent help and patience in trying to
solve this mystery. I was greatly appreciated. If you do think of anything
else that I could try, please do not hesitate to email me.

Best Regards - Shon

> -----Original Message-----
> From: Ted Keller [mailto:[email-masked]]
> Sent: Monday, May 15, 2000 5:36 PM
> To: Nixon, Anthony
> Cc: [email-masked]'
> Subject: RE: authmgr?
> 
> 
> [To be removed from this list send the message "unsubscribe 
> fwtk-users" in the
> BODY of a mail message to [email-masked].]
> 
> Hmmm....
> 
> Does this machine run the tool kit natively? or are you 
> running it over
> something like ipchains - or fwadmin?  Also, are there any 
> routers between
> this machine and your client which may have acess control lists on it.
> 
> The first message seems to indicate that the connect 
> partially made it -
> but the server couldn't resolve the information from the client.  The
> second message seems to indicate that the server couldn't complete the
> connection to the client.
> 
> You may want to run a tcpdump on this connection and see the packets
> coming and going.  I suspect that you not see the syn - syn - 
> ack sequence
> being completed properly.
> 
> ted keller
> 
> 
> On Mon, 15 May 2000, Nixon, Anthony wrote:
> 
> > [To be removed from this list send the message "unsubscribe 
> fwtk-users" in the
> > BODY of a mail message to [email-masked].]
> > 
> > Checking the messages log file I see this message several 
> times before
> > telnet connects:
> > 
> > /usr/local/etc/authsrv (pid 776): exit status 1
> > fwtksyserr: cannot get peer name: Transport endpoint is not 
> connected
> > 
> > then after that I get:
> > 
> > auth/tcp server failing (looping or being flooded), service 
> terminated for
> > 10 min
> > 
> > But I do get access to the telnet proxy.
> > 
> > > -----Original Message-----
> > > From: Ted Keller [mailto:[email-masked]]
> > > Sent: Monday, May 15, 2000 11:51 AM
> > > To: Nixon, Anthony
> > > Cc: 'Rick Murphy'; [email-masked]'
> > > Subject: RE: authmgr?
> > > 
> > > 
> > > Anthony,
> > > 
> > > Do you have auth defined as port 7777 in your /etc/services file?
> > > 
> > > ted keller
> > > 
> > > 
> > > On Mon, 15 May 2000, Nixon, Anthony wrote:
> > > 
> > > > [To be removed from this list send the message "unsubscribe 
> > > fwtk-users" in the
> > > > BODY of a mail message to [email-masked].]
> > > > 
> > > > You are correct about telneting into authsrv. I tried 
> > > 'telnet localhost
> > > > 7777' and got connection refused. When telneting locally 
> > > without specifying
> > > > the port (telnet localhost), I got in. My inetd.conf file 
> > > reads as such for
> > > > auth:
> > > > 
> > > > auth  stream  tcp  wait  root  /usr/local/etc/authsrv  authsrv
> > > > 
> > > > I have also tried changing it to:
> > > > 
> > > > authsrv  stream  tcp  wait  root  /usr/loca/etc/authsrv  authsrv
> > > > 
> > > > and when I did, telneting into localhost 7777 locked up the 
> > > system. When
> > > > performing a netstat -a, I do see auth 'LISTENING' along 
> > > with http, telnet,
> > > > and ftp-gw. I have rebooted several times, restarted the 
> > > inetd daemon, and
> > > > kill -HUP # (ps -A reported inetd as pid 591), etc. Is 
> my inetd.conf
> > > > statement correct (the upper statement)? Again, thanks very 
> > > much for your
> > > > help Rick.
> > > > 
> > > > > -----Original Message-----
> > > > > From: Rick Murphy [mailto:[email-masked]]
> > > > > Sent: Friday, May 12, 2000 10:03 PM
> > > > > To: Nixon, Anthony
> > > > > Cc: [email-masked]'
> > > > > Subject: RE: authmgr?
> > > > > 
> > > > > 
> > > > > At 12:01 PM 5/12/00 -0400, Nixon, Anthony wrote:
> > > > > >I did. That section of the netperm-table file actually reads:
> > > > > 
> > > > > OK, but what about the other questions:
> > > > > 
> > > > > > > How are you running authsrv? What happens when you 'telnet
> > > > > > > localhost 7777'?
> > > > > > >          -Rick
> > > > > > >
> > > > > If your netperm-table is set up right, then you probably 
> > > don't have 
> > > > > anything listening on the authsrv port - either your 
> > > > > inetd.conf line for 
> > > > > authsrv is wrong or you haven't HUP'd inetd.
> > > > >          -Rick
> > > > > 
> > > > 
> > > 
> > 
>